Draft Facebinder/en: Difference between revisions

From FreeCAD Documentation
(Импортирована новая версия из внешнего источника)
(Updating to match new version of source page)
Line 5: Line 5:
The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.
The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.


[[Image:Facebinder_it.png]]
[[Image:Draft facebinder example.jpg|400px]]


==How to use==
==How to use==

Revision as of 14:33, 13 February 2014

Draft_Facebinder

Menu location
Draft → Facebinder
Workbenches
Draft, Arch
Default shortcut
F F
Introduced in version
-
See also
None

Description

The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.

How to use

  1. Select faces on objects (use CTRL to select several faces)
  2. Press the Facebinder, button, or press F, F keys

Scripting

The facebinder tool can be usedin scripts and macros by using the following function:

 makeFacebinder ( selectionset )
  • Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
  • Only selected faces are taken into account
  • Returns the newly created object

Example:

 import Draft, FreeCADGui
 mySelection = FreeCADGui.Selection.getSelectionEx()
 Draft.makeFacebinder(mySelection)

Limitations

  • Not available before version 0.14